<?php

namespace App\Classes\Modules\Transports\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Transports\DataTransferObjects\TransportObject;

class CanListTransports extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param TransportObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param TransportObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
